%global perlname Proc-Daemon

Name:      perl-Proc-Daemon
Version:   0.23
Release:    1%{?dist}
Summary:   Run Perl program as a daemon process 

License:   GPL+ or Artistic
URL:       https://metacpan.org/release/Proc-Daemon
Source0:    https://cpan.metacpan.org/authors/id/A/AK/AKREAL/%{perlname}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: coreutils
BuildRequires: make
BuildRequires: perl-interpreter
BuildRequires: perl-generators
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires: perl(warnings)
BuildRequires: sed
BuildRequires: perl(POSIX)
BuildRequires: perl(Proc::ProcessTable)
BuildRequires: perl(Cwd)
BuildRequires: perl(Test::More)
Requires:  perl(Proc::ProcessTable)

%{?perl_default_filter}


%description
This is version %{version} of Proc::Daemon

This module contains the routine Init which can be called by a Perl 
program to initialize itself as a daemon. A daemon is a process that
runs in the background with no controlling terminal. Generally servers
(like FTP and HTTP servers) run as daemon processes.


%prep
%setup -q -n %{perlname}-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}


%install
%{make_install}
%{_fixperms} %{buildroot}/*


%check
%{make_build} test


%files
%doc Changes README.md
%{_mandir}/man3/Proc*
%{perl_vendorlib}/Proc


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.23-1
- initial build
